diff -ur libpri-1.2.3/q931.c libpri-1.2.3-new/q931.c
--- libpri-1.2.3/q931.c	2006-04-27 12:08:39.000000000 -0400
+++ libpri-1.2.3-new/q931.c	2006-07-17 18:03:49.807266458 -0400
@@ -3357,6 +3357,16 @@
 		pri->ev.proceeding.progressmask = c->progressmask;
 		pri->ev.proceeding.cref = c->cr;
 		pri->ev.proceeding.call = c;
+
+		cur = c->apdus;
+		while (cur) {
+			if (!cur->sent && cur->message == Q931_FACILITY) {
+				q931_facility(pri, c);
+				break;
+			}
+			cur = cur->next;
+		}
+
 		return Q931_RES_HAVEEVENT;
 	case Q931_CONNECT_ACKNOWLEDGE:
 		if (c->newcall) {
